<?php
session_start();

// Comprobar si no se ha establecido la sesión o el valor de verificación
if (!isset($_SESSION['codigo_verificado']) || $_SESSION['codigo_verificado'] !== true) {
  // Redirigir a ingresar_codigo.php si no se ha verificado el código
  header("Location: ingresar_codigo.php");
  exit();
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Formulario de prueba</title>
  <link rel="stylesheet" href="estilo.css">
</head>
<body>
  <header>
    <div class="banner">
      <img src="ruta_del_logo.png" alt="Logo de tu empresa">
    </div>
  </header>

  <div class="container">
    <h1>Formulario de prueba</h1>

    <form action="procesar_formulario.php" method="POST">
      <label for="nombre">Nombre:</label>
      <input type="text" id="nombre" name="nombre" required>
      <br>
      <label for="email">Correo electrónico:</label>
      <input type="email" id="email" name="email" required>
      <br>
      <label for="mensaje">Mensaje:</label>
      <textarea id="mensaje" name="mensaje" required></textarea>
      <br>
      <input type="submit" value="Enviar">
    </form>
  </div>

  <footer>
    <p>Todos los derechos reservados &copy; 2023</p>
  </footer>
</body>
</html>
